import AttachmentComponent from "./AttachmentComponent";

const TypeMessage = (props: any) => {

    const colorText = props.typeUser === "usuario" ? "text-gray-800" : "text-white text-start";

    const icons: any = {
        'txt': 'fa fa-file-text-o font-primary',
        'pdf': 'fa fa-file-pdf-o font-primary',
        'docx': 'fa fa-file-word-o font-primary',
        'pptx': 'fa fa-file-powerpoint-o font-primary',
        'xlsx': 'fa fa-file-excel-o font-primary',
        'zip': 'fa fa-file-zip-o font-primary',
        'rar': 'fa fa-file-zip-o font-primary',
    }

    switch (props.tipomensaje) {
        case 'text':
            return (
                <div className="w-full" style={{ wordWrap: 'break-word'}}>
                    <p className={`text-sm ${colorText}`} 
                        dangerouslySetInnerHTML={{ 
                            __html: props.conversacion.replace(/\n/g, '<br />') 
                        }}>
                    </p>
                </div>
            )
        case '.ogg':
        case '.mp3':
            const extAudio = props.conversacion.split('.').pop();
            return (
                <>
                    <div className="w-full">
                        <audio src={props.conversacion} controls style={{ flex: "1" }}>
                            <source src={props.conversacion} type={`audio/${extAudio}`} />
                            <track kind="captions" />
                            Your browser does not support the audio element.
                        </audio>
                    </div>
                </>
            )
        case '.mp4':
            return (
                <div className="w-full">
                    <video src={props.conversacion} controls width={"200"} height={"200"}>
                        <source src={props.conversacion} type={`video/mp4`} />
                        <track kind="captions" />
                        Your browser does not support the video element.
                    </video>
                </div>
            )
        case '.jpg':
        case '.png':
        case '.jpeg':
        case '.gif':
            let array = props.conversacion.split('/');
            const nameFile = array.pop();
            return (
                <div className="w-full">
                    <a href={props.conversacion} target="_blank">
                        <img src={props.conversacion} alt={nameFile} />
                    </a>
                </div>
            )
        default:
            let arrayDefault = props.conversacion.split('/');
            const nameFileDefault = arrayDefault.pop();
            const ext = nameFileDefault.split('.').pop();
            const icon = icons[ext];
            return (
                <AttachmentComponent typeFile={ext} href={props.conversacion}>
                    {nameFileDefault}
                </AttachmentComponent>
            )
    }
}

export default TypeMessage